Bug 1289492 - [engine-webadmin] Copy floating/attached to a VM disk event log describes template copy
[engine-webadmin] Copy floating/attached to a VM disk event log describes tem...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.1.1
x86_64 Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.2
: 3.6.2.5
Assigned To: Idan Shaby
Elad
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 05:05 EST by Elad
Modified: 2016-02-18 06:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:19:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
engine.log and screenshot (294.91 KB, application/x-gzip)
2015-12-08 05:05 EST, Elad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50920 master MERGED backend: fix audit log messages shown on disk copy 2015-12-24 05:38 EST
oVirt gerrit 51206 ovirt-engine-3.6 MERGED backend: fix audit log messages shown on disk copy 2015-12-31 10:30 EST
oVirt gerrit 51207 ovirt-engine-3.6.2 MERGED backend: fix audit log messages shown on disk copy 2015-12-31 10:32 EST

  None (edit)
Description Elad 2015-12-08 05:05:34 EST
Created attachment 1103498 [details]
engine.log and screenshot

Description of problem:
While copying a disk which is floating or attached to a VM, the event log of the operation describes copy of a template.


Version-Release number of selected component (if applicable):
rhevm-3.6.1.1-0.1.el6.noarch
rhevm-webadmin-portal-3.6.1.1-0.1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Copy disk which is floating or attached to a VM


Actual results:

The copied disk is floating:

2015-12-08 09:54:30,222 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (org.ovirt.thread.pool-7-thread-26) [4e536dcb] START, CopyImageVDSCommand( CopyImageVDSComma
ndParameters:{runAsync='true', storagePoolId='00000001-0001-0001-0001-000000000158', ignoreFailoverLimit='false', storageDomainId='6605112f-7f26-48b9-b64e-f661bfe18799', imageGroupId='b0
d57ee9-988c-40a2-b272-677babf09ffa', imageId='10620158-6b89-4f1a-9030-d6dd2a9567bf', dstImageGroupId='0117eeea-f88d-45b1-9f46-8023de81a20a', vmId='00000000-0000-0000-0000-000000000000', 
dstImageId='ead061a4-def7-4f45-99d3-ed35f11fb1b9', imageDescription='', dstStorageDomainId='6605112f-7f26-48b9-b64e-f661bfe18799', copyVolumeType='SharedVol', volumeFormat='RAW', preallo
cate='Preallocated', postZero='false', force='false'}), log id: 258387dd


In events log:
- User admin@internal is copying template disk disk1 to domain fc1.
- User admin@internal finished copying template disk disk1 to domain fc1.

Expected results:
The event logs of disk copy should describe the right entity which the disk is attached to  (or non entity in case it is floating)

Additional info:
engine.log and screenshot
Comment 1 Elad 2016-01-14 07:36:20 EST
Floating and attached to VM disks copy is described well in the event log:

User admin@internal is copying disk vm-2_Disk1 to domain data2.

Verified using:
rhevm-3.6.2.5-0.1.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.